//========================
//	JUMPPADS	==
//========================

textures/leone3dm1/leojpad1
{
	qer_editorimage textures/leone3dm1/leojpad1.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/leone3dm1/leojpad1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

//========================
//	FLOOR		==
//========================

textures/leone3dm1/leofloor
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leofloor.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}

textures/leone3dm1/leo_weapfloor
{
	qer_editorimage textures/leone3dm1/qer_leo_weapfloor_ed.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	{
		clampmap textures/leone3dm1/leo_weapfloor_fx.tga
		rgbGen wave sin 0.9 0.2 0 0.7
		tcMod rotate 180
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/leone3dm1/leo_weapfloor1.tga
		blendfunc blend
		rgbGen identity
		depthFunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
	{
		map textures/leone3dm1/leo_weapfloor_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

//========================
//	WALLS		==
//========================

textures/leone3dm1/leowall1_shiny
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leowall1_shiny.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}

textures/leone3dm1/leowall2
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leowall2.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}

textures/leone3dm1/leowall2_rust
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leowall2_rust.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}

textures/leone3dm1/leowall2_rust_small
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leowall2_rust_small.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}

textures/leone3dm1/leowall2_rust_large
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leowall2_rust_large.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}

textures/leone3dm1/leowall2_stripe_dirt
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leowall2_stripe_dirt.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}


//========================
//	EDGES		==
//========================

textures/leone3dm1/leoedge_h1
{
	qer_editorimage textures/leone3dm1/leoedge_h1.tga	
	q3map_lightimage textures/leone3dm1/leoedge_h1_fx.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leone3dm1/leoedge_h1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen lightingSpecular
	}
	{
		map textures/leone3dm1/leoedge_h1_fx.tga
		rgbGen wave sin 1.0 0.5 0.0 0.1
		blendfunc GL_ONE GL_one
	}
}

textures/leone3dm1/leoedge_h1a
{
	qer_editorimage textures/leone3dm1/leoedge_h1a.tga	
	q3map_lightimage textures/leone3dm1/leoedge_h1a_fx.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leone3dm1/leoedge_h1a.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen lightingSpecular
	}
	{
		map textures/leone3dm1/leoedge_h1a_fx.tga
		rgbGen identity
		blendfunc GL_ONE GL_one
	}
}

textures/leone3dm1/leoedge_v1
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leoedge_v1.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}

textures/leone3dm1/leoedge_v2
{
	qer_editorimage textures/leone3dm1/leoedge_v2.tga	
	q3map_lightimage textures/leone3dm1/leoedge_v2_fx.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leone3dm1/leoedge_v2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen lightingSpecular
	}
	{
		map textures/leone3dm1/leoedge_v2_fx.tga
		rgbGen wave sin 1.0 0.5 0.0 0.09
		blendfunc GL_ONE GL_one
	}
}

textures/leone3dm1/leopipe_end
{
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/leone3dm1/leopipe_end.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}			
}


//========================
//	LIGHTS		==
//========================

textures/leone3dm1/leospotlight1
{
	q3map_lightimage textures/leodm1/leospotlight1.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leone3dm1/leospotlight1.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/leone3dm1/leospotlight1_dull
{
	q3map_lightimage textures/leodm1/leospotlight1_dull.tga
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leone3dm1/leospotlight1_dull.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

//========================
//	WATER & FOG	==
//========================

textures/leone3dm1/leowater2
{
	qer_editorimage textures/leone3dm1/leowater2.tga
	qer_nocarve
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/leone3dm1/leowater2.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/leone3dm1/leofog1
{
	qer_editorimage textures/leone3dm1/leofog1.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .19 .09 0 ) 700
	{
		map textures/leone3dm1/leofog1_float.tga
		blendfunc GL_dst_color GL_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

//========================
//	UP ARROW	==
//========================

textures/leone3dm1/leo_up
{	
	surfaceparm nodamage
	{
		map textures/leone3dm1/leo_up.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		animMap 2 textures/leone3dm1/leo_up1.tga textures/leone3dm1/leo_up2.tga textures/leone3dm1/leo_up3.tga textures/leone3dm1/leo_up4.tga textures/leone3dm1/leo_up5.tga                                          
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
}